Subject: Re: Is anyone using the C67x00 USB Host ?

From: "David H. Lynch Jr." <[email-masked]>
Date: Fri, 12 Dec 2008 02:14:58 -0500

More info.

    there are 3 USB connectors on this board
    Host 1 - SIE1a
    Host 2 - SIE1b  
    Peripheral 1 SIE2a

    At the moment I do nto care about Peripheral 1.

    I am virtually certain A0 and A1 are not switched.

    with no USB devices plugged in
    The status port is returning a value of 0x30 if I read it
immediately after iomapping the device.
    It returns a value of 0x20 after calling c67x00_ll_init() and
c67x00_ll_hpi_reg_init()

    The instant request_irq() is called before a single subsequent  line
in the driver executes c67x00_irq() is called.
    at that point  c67x00_ll_hpi_status(c67x00); returns 0x20
     the remainder of the interrupt handle is called and the status
changes to 0x0 - and remains there.
    Howevr USB interrupts continue to occur until the kernel gets ticked
and turns them off.

-- 
Dave Lynch 					  	    DLA Systems
Software Development:  				         Embedded Linux
717.627.3770 	       [email-masked] 	  http://www.dlasys.net
fax: 1.253.369.9244 			           Cell: 1.717.587.7774
Over 25 years' experience in platforms, languages, and technologies too numerous to list.

"Any intelligent fool can make things bigger and more complex... It takes a touch of genius - and a lot of courage to move in the opposite direction."
Albert Einstein